org.jfree.chart.event

## Class AnnotationChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.jfree.chart.event.ChartChangeEvent
    - - org.jfree.chart.event.AnnotationChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class AnnotationChangeEvent
      extends ChartChangeEvent

  An event that can be forwarded to any `AnnotationChangeListener` to signal a change to an `Annotation`.
  Since:
    1.0.14
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationChangeEvent(java.lang.Object source, Annotation annotation)` Creates a new `AnnotationChangeEvent` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotation` | `getAnnotation()` Returns the annotation that triggered the event.

    - ### Methods inherited from class org.jfree.chart.event.ChartChangeEvent

      `getChart, getType, setChart, setType`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationChangeEvent

          public AnnotationChangeEvent(java.lang.Object source,
                                       Annotation annotation)

      Creates a new `AnnotationChangeEvent` instance.
      Parameters:
        `source` - the event source.
        `annotation` - the annotation that triggered the event (`null` not permitted).
      Since:
        1.0.14

  - ### Method Detail

    - #### getAnnotation

          public Annotation getAnnotation()

      Returns the annotation that triggered the event.
      Returns:
        The annotation that triggered the event (never `null`).
      Since:
        1.0.14